Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Class SccpErrorNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamErrorNotification
                        |
                        +--jain.protocol.ss7.oam.sccp.SccpErrorNotification

public class SccpErrorNotification
extends OamErrorNotification

This Notification may be emitted by any Sccp Managed MBean if a user defined error is encountered.

This SccpErrorNotification should be sent to all applications that have registered with the Sccp MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `SCCP_ERROR_ILLEGAL_TIMER_EXPIRY` Illegal timer expiry in the SCCP software.
`static int` | `SCCP_ERROR_MSG_DECODING` Error encountered while decoding SCCP message.
`static int` | `SCCP_ERROR_MSG_INVALID` Invalid network message.
`static int` | `SCCP_ERROR_MSG_INVALID_TYPE` Invalid message type.
`static int` | `SCCP_ERROR_MSG_PARAM_OUT_OF_RANGE` Parameter in a message is out of range.
`static int` | `SCCP_ERROR_MSG_SYNTAX` Syntax error in message received from the network.
`static int` | `SCCP_ERROR_ROUTING_ERROR` Routing error - Invalid route or route not available.

Fields inherited from class jain.protocol.ss7.oam.OamErrorNotification
`NON_OAM_RELATED_ERROR`

Constructor Summary
`SccpErrorNotification(OamManagedObjectMBean source, long sequenceNumber, int errorType)` Constructs a new SccpErrorNotification of the specified Error Type.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamErrorNotification
`getErrorType, getNonOamErrorMsg, setNonOamErrorMsg`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCCP_ERROR_MSG_SYNTAX

    public static final int SCCP_ERROR_MSG_SYNTAX

  Syntax error in message received from the network.

  Emitted By: SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.msg_syntax".

### SCCP_ERROR_MSG_INVALID

    public static final int SCCP_ERROR_MSG_INVALID

  Invalid network message.

  Emitted By: SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.msg_invalid".

### SCCP_ERROR_MSG_PARAM_OUT_OF_RANGE

    public static final int SCCP_ERROR_MSG_PARAM_OUT_OF_RANGE

  Parameter in a message is out of range.

  Emitted By: SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.msg_param_out_of_range".

### SCCP_ERROR_MSG_DECODING

    public static final int SCCP_ERROR_MSG_DECODING

  Error encountered while decoding SCCP message.

  Emitted By: SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.msg_decoding".

### SCCP_ERROR_MSG_INVALID_TYPE

    public static final int SCCP_ERROR_MSG_INVALID_TYPE

  Invalid message type.

  Emitted By: SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.msg_invalid_type".

### SCCP_ERROR_ROUTING_ERROR

    public static final int SCCP_ERROR_ROUTING_ERROR

  Routing error - Invalid route or route not available.

  Emitted By: SccpRoutingControlMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.routing_error".

### SCCP_ERROR_ILLEGAL_TIMER_EXPIRY

    public static final int SCCP_ERROR_ILLEGAL_TIMER_EXPIRY

  Illegal timer expiry in the SCCP software. This may happen if a timer expires in a state where this timer was not supposed to be active.

  Emitted By: SccpTimerProfileMBean
  Notification Type: "jain.protocol.ss7.oam.sccp.error.illegal_timer_expiry".

Constructor Detail

### SccpErrorNotification

    public SccpErrorNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int errorType)
                          throws java.lang.IllegalArgumentException

  Constructs a new SccpErrorNotification of the specified Error Type.
  Parameters:
    `source` - the source of the error
    `sequenceNumberThe` - notification sequence number within the source object.
    `errorType` - one of the defined Error Types.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems